Skip to main content

Capabilities

ResourceSyncProvision
Accounts
Privileges
Roles
Environment Roles
Folders
Projects
Environment Roles are only available in workspaces that use the RBAC v2 model. If your workspace uses the legacy role model, environment roles do not apply.Workato enforces one environment role per collaborator per environment. Granting a new environment role automatically replaces the collaborator’s existing role in that environment. Direct revocation of an environment role is not supported — to change a collaborator’s role, grant the replacement role instead.

Gather Workato credentials

Each setup method requires you to pass in credentials generated in Workato. Gather these credentials before you move on.

Create a client role

1
In Workato, navigate to Workspace admin > API clients > Client roles > Add client role.
2
Give the new client role a name, such as “C1 integration role”.
3
Select the following endpoints:
AreaSectionActionAPI Endpoint
ProjectsProjects & FoldersList projectsGET /api/projects
Projects & FoldersList foldersGET /api/folders
AdminCollaboratorsGet collaboratorsGET /api/members
CollaboratorsGet collaboratorGET /api/members/:id
CollaboratorsUpdate collaborators’ roles*PUT /api/members/:id
CollaboratorsGet collaborator privilegesGET /api/members/:id/privileges
Collaborator rolesList non-system rolesGET /api/roles
Environment rolesList environment roles†GET /api/environment_roles
Environment rolesGet environment role†‡GET /api/environment_roles/:id
*If you don’t want to use C1 to provision role assignments, you can skip Update collaborator’s roles and Get environment role.List environment roles and Get environment role are only available in workspaces that use the RBAC v2 model (environment roles). If your workspace uses the legacy role model, these permissions do not appear in the UI and you can skip them.Get environment role is required only if you want C1 to provision environment role assignments.
4
Save the new role.

Create an API client

1
Navigate to Workspace admin and select API clients > Create API client.
2
Give the new client a name, such as “C1 integration”.
3
Select the client role you set up above.
4
If your workspace has environments enabled, select the environment the API client (and by extension, C1) is allowed to access.
5
Select the projects the API client is allowed to access.
6
If needed, add allowed IP ranges that API requests using this token can originate from (view C1’s IP addresses).
7
Click Create client
8
The new client’s API token is shown. Carefully copy and save the API token.

Look up your data center location

You’ll also need to specify the location of your Workato data center. Workato displays your data center in the base URL of the API endpoint: Done. Next, move on to the connector configuration instructions.

Configure the Workato connector

To complete this task, you’ll need:
  • The Connector Administrator or Super Administrator role in C1
  • Access to the set of Workato credentials generated by following the instructions above
Follow these instructions to use a built-in, no-code connector hosted by C1.
1
In C1, navigate to Integrations > Connectors and click Add connector.
2
Search for Workato and click Add.
3
Choose how to set up the new Workato connector:
  • Add the connector to a currently unmanaged app (select from the list of apps that were discovered in your identity, SSO, or federation provider that aren’t yet managed with C1)
  • Add the connector to a managed app (select from the list of existing managed apps)
  • Create a new managed app
4
Set the owner for this connector. You can manage the connector yourself, or choose someone else from the list of C1 users. Setting multiple owners is allowed.If you choose someone else, C1 will notify the new connector owner by email that their help is needed to complete the setup process.
5
Click Next.
6
Find the Settings area of the page and click Edit.
7
Enter the API token in the API key field.
8
In the Data center field, enter one of us, eu, jp, sg, au, il, or sandbox to identify the location of your Workato data center. The default is us.
9
In the Environment field, enter one of dev, test, or prod to identify your Workato environment. The default is dev.
10
Optional. If desired, check the box to Disable custom roles sync.
11
Click Save.
12
The connector’s label changes to Syncing, followed by Connected. You can view the logs to ensure that information is syncing.
Done. Your Workato connector is now pulling access data into C1.